uniform sampler2D inputImageTexture;
uniform highp float texelWidthOffset;
uniform highp float texelHeightOffset;

varying highp vec2 blurCoordinates[9];

void main()
{
    lowp vec4 sum = vec4(0.0);
    sum += texture2D(inputImageTexture, blurCoordinates[0]) * 0.1642;
    sum += texture2D(inputImageTexture, blurCoordinates[1]) * 0.1531;
    sum += texture2D(inputImageTexture, blurCoordinates[2]) * 0.1531;
    sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.1224;
    sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.1224;
    sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.0918;
    sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.0918;
    sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.0510;
    sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.0510;

    gl_FragColor = sum;
}